//+------------------------------------------------------------------+
//|                
//|                                                                  |
//|      Copyright  2005, MetaQuotes Software Corp.                                                               |
//|                                      |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007,Spud"
#property link      "http://www.metaquotes.net"

#property indicator_chart_window
#property indicator_buffers 3
#property indicator_color1 Blue
#property indicator_color2 Red
#property indicator_width1 2
#property indicator_width2 2
#define  SH_BUY   1
#define  SH_SELL  -1


extern int     AllBars=0;
extern int     Otstup=30;
extern double  Per=9;
extern bool    Use_Alert=true;

int            SH,NB,i,UD;
double         R,SHMax,SHMin;
double         BufD[];
double         BufU[];
//double         trend[];

//+------------------------------------------------------------------+
//|                                        |
//+------------------------------------------------------------------+
int init()
{
   
   if (Bars<AllBars+Per || AllBars==0) NB=Bars-Per; else NB=AllBars;
   IndicatorBuffers(3);
   IndicatorShortName("High Low Signal");
   SetIndexStyle(0,DRAW_ARROW,0,2);
   SetIndexStyle(1,DRAW_ARROW,0,2);
   SetIndexArrow(0,159);
   SetIndexArrow(1,159);
   SetIndexBuffer(0,BufU);
   SetIndexBuffer(1,BufD);
   SetIndexDrawBegin(0,Bars-NB);
   SetIndexDrawBegin(1,Bars-NB);
   SetIndexLabel(0,"Ftop-UP");
   SetIndexLabel(1,"Ftop-DN");
   
    //SetIndexBuffer(2,BufD);
   // SetIndexLabel(2,"Ftop-trend");  
   //Print("NB:", NB);
   return(0);
}
//+------------------------------------------------------------------+
//|                                   |
//+------------------------------------------------------------------+
int deinit()
{
    
   
   
   return(0);
}
//+------------------------------------------------------------------+
//|                                               |
//+------------------------------------------------------------------+
int start()
{
   int CB=IndicatorCounted();
   
   if(CB<0) return(-1); else if(NB>Bars-CB) NB=Bars-CB;
      for (SH=1;SH<NB;SH++)
   {
      for (R=0,i=SH;i<SH+10;i++) {R+=(10+SH-i)*(High[i]-Low[i]);}      R/=55;

      SHMax = High[Highest(NULL,0,MODE_HIGH,Per,SH)];
      SHMin = Low[Lowest(NULL,0,MODE_LOW,Per,SH)];
      if (Close[SH]<SHMin+(SHMax-SHMin)*Otstup/100 && UD!=SH_SELL) 
      {  BufU[SH]=Low[SH]-R*0.5; UD=SH_SELL; 
        if(Use_Alert && SH==1)  Alert(Symbol()," BUY");
      }
      if (Close[SH]>SHMax-(SHMax-SHMin)*Otstup/100 && UD!=SH_BUY)
      {  BufD[SH]=High[SH]+R*0.5; UD=SH_BUY;
        if(Use_Alert && SH==1)  Alert(Symbol()," SELL");
      }
   }
   return(0);
}